import request from '@/utils/request'

// 查询提现配置列表
export function listAppWithdrawalConfig(query) {
  return request({
    url: '/service/appWithdrawalConfig/list',
    method: 'get',
    params: query
  })
}

// 查询提现配置详细
export function getAppWithdrawalConfig(configId) {
  return request({
    url: '/service/appWithdrawalConfig/' + configId,
    method: 'get'
  })
}

// 新增提现配置
export function addAppWithdrawalConfig(data) {
  return request({
    url: '/service/appWithdrawalConfig',
    method: 'post',
    data: data
  })
}

// 修改提现配置
export function updateAppWithdrawalConfig(data) {
  return request({
    url: '/service/appWithdrawalConfig',
    method: 'put',
    data: data
  })
}

// 删除提现配置
export function delAppWithdrawalConfig(configId) {
  return request({
    url: '/service/appWithdrawalConfig/' + configId,
    method: 'delete'
  })
}
